<?php
require_once ('inc/database.php');
$status = $_SERVER['REDIRECT_STATUS'];
$codes = array(
       400 => array('400', 'Запрос не может быть обработан из-за синтаксической ошибки.'),
       403 => array('403', 'Сервер отказывает в выполнении вашего запроса.'),
       404 => array('404', 'Запрашиваемая страница не найдена на сервере.'),
       405 => array('405', 'Указанный в запросе метод не допускается для заданного ресурса.'),
       408 => array('408', 'Ваш браузер не отправил информацию на сервер за отведенное время.'),
       500 => array('500', 'Запрос не может быть обработан из-за внутренней ошибки сервера.'),
       502 => array('502', 'Сервер получил неправильный ответ при попытке передачи запроса.'),
       504 => array('504', 'Вышестоящий сервер не ответил за установленное время.'),
);
$title = $codes[$status][0];
$message = $codes[$status][1];
if ($title == false || strlen($status) != 3) {
$message = 'Код ошибки HTTP не правильный';
}
$header = 'Ошибка ' .$title;
require_once ('inc/header.php');
echo '<div class="block">'.$message.'</div>';
require_once ('inc/footer.php');
?>