<?
require_once ('inc/database.php');
auth('no');
$battle = fch("SELECT * FROM `invasion_battle` WHERE `start` != '10' ORDER BY `id` DESC LIMIT 1");
if(!$battle){
	qry("INSERT INTO `invasion_battle` SET `last` = ?", array(time()+60));
	header('Location: ?');
	exit();
}

$battle_user = fch("SELECT * FROM `invasion_battle_users` WHERE `id_battle` = ? AND `id_user` = ? AND `end` = ?", array($battle['id'], $user['id'], 0));

$battle_star = fch("SELECT * FROM `invasion_battle` WHERE `start` = '10' ORDER BY `id` DESC LIMIT 1");
$battle_user_star = fch("SELECT * FROM `invasion_battle_users` WHERE `id_battle` = ? AND `id_user` = ? AND `end` = ?", array($battle_star['id'], $user['id'], 0));

$count_users = cnt("SELECT * FROM `invasion_battle_users` WHERE `id_battle` = ? AND `ubit` = ?", array($battle['id'], 0));
$count_monsters = cnt("SELECT * FROM `invasion_battle_monsters` WHERE `id_battle` = ? AND `ubit` = ?", array($battle['id'], 0));

//Время вышло
if($battle['start'] == 2 or $battle['start'] == 4 or $battle['start'] == 6 or $battle['start'] == 8){
if($battle['last'] <= time()){
	if($count_monsters >= 1){
		qry("UPDATE `invasion_battle` SET `start` = ? WHERE `id` = ?", array(9, $battle['id']));
		header('Location: ?');
		exit();
	}	
}
}

// Награда за сражение
if(($battle['start'] == 9 and $battle_user and $battle_user['end'] == 0) or ($battle_star and $battle_user_star and $battle_user_star['end'] == 0)):
if($battle['start'] == 9){
	// Время битв
	if(time() < strtotime('11:00:00')){
		$last = strtotime('11:00:00');
	}elseif(time() < strtotime('19:00:00')){
		$last = strtotime('19:00:00');
	}else{
		$last = strtotime('+1 day 11:00:00');
	}
	qry("UPDATE `invasion_battle` SET `start` = ? WHERE `id` = ?", array(10, $battle['id']));
	qry("INSERT INTO `invasion_battle` SET `last` = ?, `date` = ?", array($last, $last));
	qry("UPDATE `invasion_battle_users` SET `end` = ? WHERE `id` = ?", array(1, $battle_user['id']));
	qry("UPDATE `invasion_battle_users` SET `top` = ? WHERE `id_battle` = ? AND `ubit` = ? AND `d_wins` = ? LIMIT 5", array(1, $battle['id'], 0, 0));
}elseif($battle_star){
	$battle = $battle_star;
	$battle_user = $battle_user_star;
	qry("UPDATE `invasion_battle_users` SET `end` = ? WHERE `id` = ?", array(1, $battle_user_star['id']));
}
$count_etape_1 = cnt("SELECT * FROM `invasion_battle_users` WHERE `ubit` = ? AND `etape` <= ? AND `id_battle` = ?", array(1, 1, $battle['id']));
$count_etape_2 = cnt("SELECT * FROM `invasion_battle_users` WHERE `ubit` = ? AND `etape` = ? AND `id_battle` = ?", array(1, 2, $battle['id']));
$count_etape_3 = cnt("SELECT * FROM `invasion_battle_users` WHERE `ubit` = ? AND `etape` = ? AND `id_battle` = ?", array(1, 3, $battle['id']));
$count_etape_4 = cnt("SELECT * FROM `invasion_battle_users` WHERE `ubit` = ? AND `etape` = ? AND `id_battle` = ?", array(1, 4, $battle['id']));
$count_wins = cnt("SELECT * FROM `invasion_battle_users` WHERE `ubit` = ? AND `etape` = ? AND `id_battle` = ?", array(0, 4, $battle['id']));
if($battle['wins'] == 1){
	$wins = true;
}
if($battle_user['etape'] == 1){
	$silver = 1500;
	$exp = 1500;
}elseif($battle_user['etape'] == 2){
	$silver = 2500;
	$exp = 2500;
}elseif($battle_user['etape'] == 3){
	$silver = 4500;
	$exp = 4500;
}elseif($battle_user['etape'] == 4){
	$silver = 5500;
	$exp = 5500;
}
$silver = get_silver($silver);
$exp = get_exp($exp);
$gold = $battle_user['k_wins'];
if($battle_user['d_wins'] == 1){
	$gold += 700;
}elseif($battle_user['top'] == 1){
	$gold += 400;
}
qry("UPDATE `users` SET `exp` = ?, `silver` = ?, `gold` = ? WHERE `id` = ?", array($user['exp']+$exp, $user['silver']+$silver, $user['gold']+$gold, $user['id']));
qry("UPDATE `users` SET `exp` = ?, `silver` = ? WHERE `id` = ?", array(($user['exp']+$exp), ($user['silver']+$silver), $user['id']));
$user_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($user['id']));
$clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($user_clan['id_clan']));
if($clan){
        $clan_exp = get_exp_clan($exp);
        qry("UPDATE `clan_users` SET `exp` = ?, `exp_24` = ? WHERE `id` = ?", array($user_clan['exp']+$clan_exp, $user_clan['exp_24']+$clan_exp, $user_clan['id']));
        qry("UPDATE `clans` SET `exp` = ? WHERE `id` = ?", array($clan['exp']+$clan_exp, $clan['id']));
}
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<div class="center" style="background-image:url(/images/invasion/bg2.jpg);background-repeat:no-repeat;background-size:cover;padding:5px;">';
echo '<div class="r-top"></div>';
if($wins){	
	echo '<div class="r-middle"><font color="green">Победа</font></div>';	
}else{
	echo '<div class="r-middle"><font color="red">Поражение</font></div>';
}
echo '<font color="goldenrod">Награда:</font> '.($gold >= 1 ? '<img src="/images/icon/gold.png" width="16px"> '.$gold : '').' <img src="/images/icon/silver.png" width="16px"> '.$silver.' <img src="/images/icon/exp.png" width="16px"> '.$exp.'';
echo '<div class="r-bottom"></div>';
echo '<div class="mt10"></div>';
$q = acc("SELECT * FROM `invasion_battle_users` WHERE (`top` = ? OR `d_wins` = ?) AND `id_battle` = ? ORDER BY `d_wins` DESC, `top` DESC LIMIT 6", array(1, 1, $battle['id']));
if($wins){
echo '<table class="bor" width="80%" align="center">';
echo '<tr><td width="20%" class="block_zero center goldenrod">Место</td><td width="60%" class="block_zero center goldenrod">Игрок</td><td width="20%" class="block_zero center goldenrod">Награда</td></tr>';
$a = 1;
foreach($q as $us){
	$i++;
	$div = ((++$a % 2) ? 'block_zero' : '');
        if($i == 1){
               $gold = 700;
        }else{
               $gold = 400;
        }
	$gold += $us['k_wins'];	
	$u = fch("SELECT * FROM `users` WHERE `id` = ?", array($us['id_user']));
	echo '<tr class="'.$div.'">';
	echo '<td width="20%" class="center">'.$i.'</td>';
	echo '<td width="60%" class="center"><img src="/images/icon/'.$u['sex'].'.png" width="16px"> <a href="/user/'.$u['id'].'/">'.$u['login'].'</a>'.($us['d_wins'] == 1 ? '<br><font color="green">Убица демона</font>' : '').'</td>';
	echo '<td width="20%" class="center"><img src="/images/icon/gold.png" width="16px"> '.$gold.'</td>';
	echo '</tr>';
}
echo '</table>';
}
if($wins == true) {
echo '<div class="mt5"></div>';
echo '<center><font color="goldenrod">5 победителей выбираются автоматически из часла выживших</font></center>';
}
echo '<div class="mt5"></div>';
echo '<a href="?" class="btn-default">Продолжить</a>';
echo '<hr><div class="center">Детали сражения</div><hr>';
echo '<table class="bor" width="80%" align="center">';
echo '<tr><td width="70%" class="block_zero goldenrod">Выжило</td><td width="30%" class="block_zero center goldenrod">'.$count_wins.'</td></tr>';
echo '<tr><td>Погибло на 4 этапе</td><td class="center">'.$count_etape_4.'</td></tr>';
echo '<tr><td class="block_zero">Погибло на 3 этапе</td><td class="block_zero center">'.$count_etape_3.'</td></tr>';
echo '<tr><td width="70%">Погибло на 2 этапе</td><td class="center">'.$count_etape_2.'</td></tr>';
echo '<tr><td class="block_zero">Погибло на 1 этапе</td><td class="block_zero center">'.$count_etape_1.'</td></tr>';
echo '</table>';
echo '</div>';
require_once ('inc/footer.php');
die();
endif;

//Не успел на бой
if(!$battle_user and $battle['start'] >= 1 and $battle['start'] <= 8){
	$header = 'Вторжение';
	require_once ('inc/header.php');
	echo '<div class="block center">Битва в самом разгаре</div>';
	require_once ('inc/footer.php');
	die();
}

//Убит в бою
if($battle_user['ubit'] == 1 and $battle['start'] >= 1 and $battle['start'] <= 8){
	$header = 'Вторжение';
	require_once ('inc/header.php');
	echo '<div class="block center">Вы были убиты во время боя!</div>';
	require_once ('inc/footer.php');
	die();
}

// Этап №4 подготовка
if($battle['start'] == 7):
if($battle_user['etape'] != 4){
	$demon = fch("SELECT * FROM `invasion_battle_monsters` WHERE `id_battle` = ? AND `id_monster` = ?", array($battle['id'], 4));
	$monster_params = rand(5200,7500);
	if(!$demon and $count_monsters == 0){
		qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ?", array($battle['id'], 4, $monster_params, 100000, 100000));
	}else{
		qry("UPDATE `invasion_battle_monsters` SET `hp` = ?, `max_hp` = ? WHERE `id` = ?", array($demon['hp']+get_health($user['id'])*2, $demon['max_hp']+get_health($user['id'])*2, $demon['id']));
	}
	qry("UPDATE `invasion_battle_users` SET `etape` = ?, `hp` = ? WHERE `id` = ?", array(4, get_health($user['id']), $battle_user['id']));
	header('Location: ?');
	exit();
}
if($battle['last'] <= time()){
	qry("UPDATE `invasion_battle` SET `start` = ?, `last` = ? WHERE `id` = ?", array(8, time()+60*5, $battle['id']));
	qry("UPDATE `invasion_battle_users` SET `ubit` = ? WHERE `id_battle` = ? AND `etape` != ?", array(1, $battle['id'], 4));
	header('Location: ?');
	exit();
}
header('refresh:'.($battle['last']-time()).'; url=?');
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<div class="block center">';
echo '<script type="text/javascript" src="/js/invasion.js?sec='.time().'"></script>';
echo '<div class="r-middle">Этап №4</div>';
echo 'Подготовка к бою: <span id="time_'.($battle['last']-time()).'000">'.tl($battle['last']-time()).'</span>';
echo '<hr>';
echo '<table width="50%" align="center">';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Люди</font></span><br><span id="count_users">'.$count_users.'</span></td>';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Орки</font></span><br><span id="count_monsters">'.$count_monsters.'</span></td>';
echo '</table>';
echo '</div>';
echo '<div class="line"></div>';
echo '<a href="/" class="link center"><font color="grey">Покинуть бой</font></a>';
echo '<div class="line"></div>';
echo '<div class="fire"></div>';
?>
<script>
	var count_users = <?=$count_users?>;
	var count_users = <?=$count_monsters?>;
</script>
<script>
        var secS = 'с.';
        var secM = 'с.';
        var minS = 'м.';
        var minM = 'м.';
        var hourS = 'ч.';
        var hourM = 'ч.';
        var dayS = 'д.';
        var dayM = 'д.';
        var detailOut = false;
        var readyLink = '0'+(detailOut?secS:' ' + secM);    
</script>
<script src="/js/t.js" type="text/javascript"></script>
<?
die();
endif;

// Этап №3 подготовка
if($battle['start'] == 5):
if($battle_user['etape'] != 3){
	$monster_params = rand(2000,3000);
	qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ?", array($battle['id'], 2, $monster_params, $monster_params, $monster_params));
	if(mt_rand(0, 100) < 25){
		$monster_params = rand(3000,4000);
		qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ?", array($battle['id'], 3, $monster_params, $monster_params, $monster_params));
	}
	qry("UPDATE `invasion_battle_users` SET `etape` = ?, `hp` = ? WHERE `id` = ?", array(3, get_health($user['id']), $battle_user['id']));
	header('Location: ?');
	exit();
}
if($battle['last'] <= time()){
	qry("UPDATE `invasion_battle` SET `start` = ?, `last` = ? WHERE `id` = ?", array(6, time()+60*5, $battle['id']));
	qry("UPDATE `invasion_battle_users` SET `ubit` = ? WHERE `id_battle` = ? AND `etape` != ?", array(1, $battle['id'], 3));
	header('Location: ?');
	exit();
}
header('refresh:'.($battle['last']-time()).'; url=?');
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<script type="text/javascript" src="/js/invasion.js?sec='.time().'"></script>';
echo '<div class="block center">';
echo '<div class="r-middle">Этап №3</div>';
echo 'Подготовка к бою: <span id="time_'.($battle['last']-time()).'000">'.tl($battle['last']-time()).'</span>';
echo '<hr>';
echo '<table width="50%" align="center">';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Люди</font></span><br><span id="count_users">'.$count_users.'</span></td>';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Орки</font></span><br><span id="count_monsters">'.$count_monsters.'</span></td>';
echo '</table>';
echo '</div>';
echo '<div class="line"></div>';
echo '<a href="/" class="link center"><font color="grey">Покинуть бой</font></a>';
echo '<div class="line"></div>';
echo '<div class="fire"></div>';
?>
<script>
	var count_users = <?=$count_users?>;
	var count_monsters = <?=$count_monsters?>;
</script>
<script>
        var secS = 'с.';
        var secM = 'с.';
        var minS = 'м.';
        var minM = 'м.';
        var hourS = 'ч.';
        var hourM = 'ч.';
        var dayS = 'д.';
        var dayM = 'д.';
        var detailOut = false;
        var readyLink = '0'+(detailOut?secS:' ' + secM);    
</script>
<script src="/js/t.js" type="text/javascript"></script>
<?
die();
endif;

// Этап №2 подготовка
if($battle['start'] == 3):
if($battle_user['etape'] != 2){
	$monster_params = rand(800,1000);
	qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ?", array($battle['id'], 1, $monster_params, $monster_params, $monster_params));
	if(mt_rand(0, 100) < 50){
		$monster_params = rand(2000,3000);
		qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ?", array($battle['id'], 2, $monster_params, $monster_params, $monster_params));
	}
	qry("UPDATE `invasion_battle_users` SET `etape` = ?, `hp` = ? WHERE `id` = ?", array(2, get_health($user['id']), $battle_user['id']));
	header('Location: ?');
	exit();
}
if($battle['last'] <= time()){
	qry("UPDATE `invasion_battle` SET `start` = ?, `last` = ? WHERE `id` = ?", array(4, time()+60*5, $battle['id']));
	qry("UPDATE `invasion_battle_users` SET `ubit` = ? WHERE `id_battle` = ? AND `etape` != ?", array(1, $battle['id'], 2));
	header('Location: ?');
	exit();
}
header('refresh:'.($battle['last']-time()).'; url=?');
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<script type="text/javascript" src="/js/invasion.js?sec='.time().'"></script>';
echo '<div class="block center">';
echo '<div class="r-middle">Этап №2</div>';
echo 'Подготовка к бою: <span id="time_'.($battle['last']-time()).'000">'.tl($battle['last']-time()).'</span>';
echo '<hr>';
echo '<table width="50%" align="center">';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Люди</font></span><br><span id="count_users">'.$count_users.'</span></td>';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Орки</font></span><br><span id="count_monsters">'.$count_monsters.'</span></td>';
echo '</table>';
echo '</div>';
echo '<div class="line"></div>';
echo '<a href="/" class="link center"><font color="grey">Покинуть бой</font></a>';
echo '<div class="line"></div>';
echo '<div class="fire"></div>';
?>
<script>
	var count_users = <?=$count_users?>;
	var count_monsters = <?=$count_monster?>;
</script>
<script>
        var secS = 'с.';
        var secM = 'с.';
        var minS = 'м.';
        var minM = 'м.';
        var hourS = 'ч.';
        var hourM = 'ч.';
        var dayS = 'д.';
        var dayM = 'д.';
        var detailOut = false;
        var readyLink = '0'+(detailOut?secS:' ' + secM);    
</script>
<script src="/js/t.js" type="text/javascript"></script>
<?
die();
endif;

// Битва
if($battle['start'] == 2 or $battle['start'] == 4 or $battle['start'] == 6 or $battle['start'] == 8):
$cel = fch("SELECT * FROM `invasion_battle_monsters` WHERE `id` = ? AND `ubit` = ?", array($battle_user['id_cel'], 0));
if(!$cel){
	$cel = fch("SELECT * FROM `invasion_battle_monsters` WHERE `id_battle` = ? AND `ubit` = ? ORDER BY RAND() LIMIT 1", array($battle['id'], 0));
	qry("UPDATE `invasion_battle_users` SET `id_cel` = ? WHERE `id` = ?", array($cel['id'], $battle_user['id']));
	header('Location: ?');
	exit();
}
header('refresh:'.($battle['last']-time()).'; url=?');
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<script type="text/javascript" src="/js/invasion.js?sec='.time().'"></script>';
$monster = fch("SELECT * FROM `invasion_monsters` WHERE `id` = ?", array($cel['id_monster']));
if($battle['start'] == 8){
	$icon = '/images/invasion/monsters/demon/icon.jpg';
	$background = '/images/invasion/monsters/demon/background.png';
}else{
	$icon = '/images/invasion/monsters/ork'.$monster['id'].'/icon.jpg';
	$background = '/images/invasion/monsters/ork'.$monster['id'].'/background.png';
}
echo '<div style="background-image:url(/images/invasion/bg.jpg);background-position:50% 50%;">';
echo '<div class="block_zero">';
echo '<table width="100%">';
echo '<td width="40px" style="position:relative;"><img src="'.$icon.'" width="40px"><div class="hp_del2" style="display:none;" id="hp_del_v"></div></td>';
echo '<td valign="top">';
echo ''.$monster['name'].' <img src="/images/icon/power.png" width="16px"> '.$cel['params'].' <img src="/images/icon/shield.png" width="16px"> '.$cel['params'].' <img src="/images/icon/heart.png" width="16px"> <span id="hp_small_v">'.$cel['hp'].'</span>';
$progress = round($cel['hp']/$cel['max_hp']*100);
echo '<div style="padding:3px 2px 4px 2px"><div style="height:6px;background:url(/template/images/bar_gray.png) left center;width:100%;">
<div id="hp_proc_block_v" style="transition-property:width;background;transition-duration:0.5s;display:inline-block;height:6px;background:url(/template/images/bar_green.png) left top;width:'.$progress.'%;float:left"></div>
<div id="hp_proc_del_block_v" style="transition-property:width;transition-duration:0.5s;display:inline-block;height:6px;background:url(/template/images/bar_red.png) left center;width:0%;float:left"></div></div>';
echo '</td>';
echo '</table>';
echo '</div>';
echo '<div class="center" style="position:relative;">';
echo '<img src="'.$background.'" width="50%">';
echo '<div id="attack" style="position:absolute;top:80%;left:1%;right:1%;"><a onclick="attack(\'/script_ajax/invasion/func.php\');return false;" href="?attack"><div style="display:inline-block;background-image:url(/images/attack_on.png);background-repeat:no-repeat;background-size:cover;height:50px;width:50px;margin: 0 auto;"></div></a></div>';
echo '</div>';

$i1 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($user['id'], 'head', 'da'));
if(!$i1) $i1['id_item'] = 0;
$i2 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($user['id'], 'shoulders', 'da'));
if(!$i2) $i2['id_item'] = 0;
$i3 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($user['id'], 'tors', 'da'));
if(!$i3) $i3['id_item'] = 0;
echo '<div class="mt10"></div>';
echo '<div class="block_zero">';
echo '<table width="100%">';
echo '<td width="40px" style="position:relative;"><img src="/ManekenMiny.php?sex='.$user['sex'].'&i1='.$i1['id_item'].'&i2='.$i2['id_item'].'&i3='.$i3['id_item'].'" width="40px"><div class="hp_del2" style="display:none;" id="hp_del_u"></div></td>';
echo '<td valign="top">';
echo ''.$user['login'].' <img src="/images/icon/power.png" width="16px"> '.get_power($user['id']).' <img src="/images/icon/shield.png" width="16px"> '.get_block($user['id']).' <img src="/images/icon/heart.png" width="16px"> <span id="hp_small_u">'.$battle_user['hp'].'</span>';
$progress = round($battle_user['hp']/get_health($user['id'])*100);
echo '<div style="padding:3px 2px 4px 2px"><div style="height:6px;background:url(/template/images/bar_gray.png) left center;width:100%;">
<div id="hp_proc_block_u" style="transition-property:width;background;transition-duration:0.5s;display:inline-block;height:6px;background:url(/template/images/bar_green.png) left top;width:'.$progress.'%;float:left"></div>
<div id="hp_proc_del_block_u" style="transition-property:width;transition-duration:0.5s;display:inline-block;height:6px;background:url(/template/images/bar_red.png) left center;width:0%;float:left"></div></div>';
echo '</td>';
echo '</table>';
echo '</div>';
echo '</div>';
echo '<div class="line"></div>';
echo '<a href="/" class="link center"><font color="grey">Покинуть бой</font></a>';
echo '<div class="line"></div>';
echo '<div class="fire"></div>';
?> 
    	<script type="text/javascript" language="javascript">
    		var url='/script_ajax/invasion/func.php'; 
    		var hp_user=<?=$battle_user['hp']?>; 
    		var hp_vrag=<?=$cel['hp']?>;
    		var hp_user_max=<?=get_health($user['id'])?>; 
    		var hp_vrag_max=<?=$cel['max_hp']?>;
    	</script> 
<?
die();
endif;

// Этап №1 подготовка
if($battle['start'] == 1):
if($battle_user['etape'] != 1){
	$monster_params = rand(800,1000);
	qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ?", array($battle['id'], 1, $monster_params, $monster_params, $monster_params));
	if(mt_rand(0, 100) < 50){
		qry("INSERT INTO `invasion_battle_monsters` SET `id_battle` = ?, `id_monster` = ?, `params` = ?, `hp` = ?, `max_hp` = ? LIMIT 5", array($battle['id'], 1, $monster_params, $monster_params, $monster_params));
	}
	qry("UPDATE `invasion_battle_users` SET `etape` = ? WHERE `id` = ?", array(1, $battle_user['id']));
	header('Location: ?');
	exit();
}
if($battle['last'] <= time()){
	qry("UPDATE `invasion_battle` SET `start` = ?, `last` = ? WHERE `id` = ?", array(2, time()+60*5, $battle['id']));
	qry("UPDATE `invasion_battle_users` SET `ubit` = ? WHERE `id_battle` = ? AND `etape` != ?", array(1, $battle['id'], 1));
	header('Location: ?');
	exit();
}
header('refresh:'.($battle['last']-time()).'; url=?');
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<script type="text/javascript" src="/js/invasion.js?sec='.time().'"></script>';
echo '<div class="block center">';
echo '<div class="r-middle">Этап №1</div>';
echo 'Подготовка к бою: <span id="time_'.($battle['last']-time()).'000">'.tl($battle['last']-time()).'</span>';
echo '<hr>';
echo '<table width="50%" align="center">';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Люди</font></span><br><span id="count_users">'.$count_users.'</span></td>';
echo '<td class="center" width="50%"><span class="bold"><font color="goldenrod">Орки</font></span><br><span id="count_monsters">'.$count_monsters.'</span></td>';
echo '</table>';
echo '</div>';
echo '<div class="line"></div>';
echo '<a href="/" class="link center"><font color="grey">Покинуть бой</font></a>';
echo '<div class="line"></div>';
echo '<div class="fire"></div>';
?>
<script>
	var count_users = <?=$count_users?>;
	var count_monsters = <?=$count_monsters?>;
</script>
<script>
        var secS = 'с.';
        var secM = 'с.';
        var minS = 'м.';
        var minM = 'м.';
        var hourS = 'ч.';
        var hourM = 'ч.';
        var dayS = 'д.';
        var dayM = 'д.';
        var detailOut = false;
        var readyLink = '0'+(detailOut?secS:' ' + secM);    
</script>
<script src="/js/t.js" type="text/javascript"></script>
<?
die();
endif;

// Ожидание вторжение
if($battle['last'] <= time() and $count_users >= 1){
	qry("UPDATE `invasion_battle` SET `start` = ?, `last` = ? WHERE `id` = ?", array(1, time()+20, $battle['id']));
	header('Location: ?');
	exit();
}
header('refresh:'.($battle['last']-time()).'; url=?');
$header = 'Вторжение';
require_once ('inc/header.php');
echo '<div style="background-image:url(/images/invasion/splash.jpg);background-size:cover;height:220px;width:100%;position:relative;">';
echo '</div>';
echo '<div class="line"></div>';
echo '<div style="background-image:url(/images/invasion/bg2.jpg);background-repeat:no-repeat;background-size:cover;">';
echo '<div class="case center" style="padding:10px 0 10px 0;">';
if(get_power($user['id']) >= 600){
echo '<table align="center" width="80%">';
echo '<td class="center" width="50%">';
echo '<span class="bold"><font color="goldenrod">Запад</font></span>';
echo '<div class="mt5"></div>';
$time = strtotime('11:00:00');
if($time < time()){
$time = strtotime('+1 day 11:00:00');
}
if($time-60*15 > time()){
	echo 'Запись через:<br><span id="time_'.(($time-60*15)-time()).'000">'.tl(($time-60*15)-time()).'</span>';
}else{
	echo 'Сражение через:<br><span id="time_'.(($time)-time()).'000">'.tl(($time)-time()).'</span>';
}
echo '</td>';
echo '<td class="center" width="50%">';
echo '<span class="bold"><font color="goldenrod">Восток</font></span>';
echo '<div class="mt5"></div>';
$time = strtotime('19:00:00');
if($time < time()){
$time = strtotime('+1 day 19:00:00');
}
if($time-60*15 > time()){
	echo 'Запись через:<br><span id="time_'.(($time-60*15)-time()).'000">'.tl(($time-60*15)-time()).'</span>';
}else{
	echo 'Сражение через:<br><span id="time_'.(($time)-time()).'000">'.tl(($time)-time()).'</span>';
}
echo '</td>';
echo '</table>';
if(!$battle_user and $battle['last']-60*15 <= time()){
	if(isset($_GET['vstup'])){
		qry("INSERT INTO `invasion_battle_users` SET `id_battle` = ?, `id_user` = ?, `hp` = ?", array($battle['id'], $user['id'], get_health($user['id'])));
		header('Location: ?');
		exit();
	}
	echo '<hr>';
	echo '<a href="?vstup" class="btn-default">Записаться</a>';
}elseif($battle['last']-60*15 > time()){
	echo '<div class="mt5"></div>';
	echo '<font color="grey">Запись начнется за 15 минут до начала сражения</font>';
}elseif($battle_user){
	echo '<div class="mt5"></div>';
	echo '<font color="green">Вы участвуете в сражении</font>';
}
}else{
	echo 'Для участия в вторжении необходимо 600 силы';
}

$q = acc("SELECT * FROM `invasion_battle` WHERE `start` = ? ORDER BY `id` DESC LIMIT 2", array(10));
foreach($q as $bat){
	if(date('H', $bat['date']) == 11){
		$type = 'Запад';
	}elseif(date('H', $bat['date']) == 19){
		$type = 'Восток';
	}
	echo '<div class="mt10"></div>';
	echo '<a href="/invasion/istori/'.$bat['id'].'/" style="font-size:18px;">Сражение '.date('d.m в Hч', $bat['date']).' - '.$type.'</a>';
}

echo '</div>';
echo '</div>';
require_once ('inc/footer.php');
?>