<?
require_once ('inc/database.php');
auth('no');
$user_clan = fch('SELECT * FROM `clan_users` WHERE `id_user` = ? LIMIT 1', array($user['id']));
if($user_clan){
    $clan = fch('SELECT * FROM `clans` WHERE `id` = ? LIMIT 1', array($user_clan['id_clan']));
}
if(!$clan){
    header('Location: /clans/');
    exit();
}
$max_level = 20;
$header = 'Постройки клана';
require_once ('inc/header.php');
echo '<div class="block center">В казне: <img src="/images/icon/gold.png" width="16px"> '.n_f($clan['gold']).' золота и <img src="/images/icon/silver.png" width="16px"> '.n_f($clan['silver']).' серебра</div>';

                $cena_cit = $array['clan_stat_cena'][$clan['cit']];
		$cena_bibl = $array['clan_stat_cena'][$clan['bibl']];
		$cena_torg = $array['clan_stat_cena'][$clan['torg']];
		$cena_trofeis = $array['clan_stat_cena'][$clan['trofeis']];
		$cena_smitchy = $array['clan_stat_cena'][$clan['smitchy']];

$action = fch("SELECT * FROM `action` WHERE `last` > ? AND `type` = ?", array(time(), 'clan_stat'));
if($action){
	$action_u = fch("SELECT * FROM `action_users` WHERE `id_action` = ? AND `id_user` = ?", array($action['id'], $user['id']));
	if($action_u['k_gold'] >= $action['gold']){
		$cena_cit -= ceil($array['clan_stat_cena'][$clan['cit']]*$action['p_gold']/100);
		$cena_bibl -= ceil($array['clan_stat_cena'][$clan['bibl']]*$action['p_gold']/100);
		$cena_torg -= ceil($array['clan_stat_cena'][$clan['torg']]*$action['p_gold']/100);
		$cena_trofeis -= ceil($array['clan_stat_cena'][$clan['trofeis']]*$action['p_gold']/100);
		$cena_smitchy -= ceil($array['clan_stat_cena'][$clan['smitchy']]*$action['p_gold']/100);
	}
}


if(isset($_GET['cit']) and $clan['cit'] < $max_level){
	if($array['clan_stat_cena_type'][$clan['cit']] == 'gold'){
		if($clan['gold'] < $cena_cit){
			$_SESSION['warning'] = 'В казне клана не достатачно золота';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `cit` = ?, `gold` = ? WHERE `id` = ?", array($clan['cit']+1, $clan['gold']-$cena_cit, $clan['id']));
		header('Location: ?');
		exit();
	}else{
		if($clan['silver'] < $cena_cit){
			$_SESSION['warning'] = 'В казне клана не достатачно серебра';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `cit` = ?, `silver` = ? WHERE `id` = ?", array($clan['cit']+1, $clan['silver']-$cena_cit, $clan['id']));
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/clan/stat/1.png" width="50px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Цитадель</span> ('.$clan['cit'].' из '.$max_level.') '.($clan['cit'] >= 1 ? '<font color="green">+'.$array['clan_stat_param'][$clan['cit']].'%</font>' : '').'';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Цитадель увеличивает получаемый клановый опыт от всех участников клана</span>';
echo '<div class="mt5"></div>';
echo '+2% к клановому опыту за уровень';
echo '</td>';
echo '</table>';
if($user_clan['rang'] >= 5){
	echo '<div class="center"><a href="?cit" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['clan_stat_cena_type'][$clan['cit']] == 'gold' ? '<img src="/images/icon/gold.png" width="16px"> '.n_f($cena_cit, 1).' золота' : '<img src="/images/icon/silver.png" width="16px"> '.n_f($cena_cit, 1).' серебра').'</div>';
}
echo '</div>';
if(isset($_GET['bibl']) and $clan['bibl'] < $max_level){
	if($array['clan_stat_cena_type'][$clan['bibl']] == 'gold'){
		if($clan['gold'] < $cena_bibl){
			$_SESSION['warning'] = 'В казне клана не достатачно золота';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `bibl` = ?, `gold` = ? WHERE `id` = ?", array($clan['bibl']+1, $clan['gold']-$cena_bibl, $clan['id']));
		header('Location: ?');
		exit();
	}else{
		if($clan['silver'] < $cena_bibl){
			$_SESSION['warning'] = 'В казне клана не достатачно серебра';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `bibl` = ?, `silver` = ? WHERE `id` = ?", array($clan['bibl']+1, $clan['silver']-$cena_bibl, $clan['id']));
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/clan/stat/2.png" width="50px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Библиотека</span> ('.$clan['bibl'].' из '.$max_level.') '.($clan['bibl'] >= 1 ? '<font color="green">+'.$array['clan_stat_param'][$clan['bibl']].'%</font>' : '').'';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Чтение древних книг увеличивает личный опыт участника</span>';
echo '<div class="mt5"></div>';
echo '+2% к личному опыту за уровень';
echo '</td>';
echo '</table>';
if($user_clan['rang'] >= 5){
	echo '<div class="center"><a href="?bibl" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['clan_stat_cena_type'][$clan['bibl']] == 'gold' ? '<img src="/images/icon/gold.png" width="16px"> '.n_f($cena_bibl, 1).' золота' : '<img src="/images/icon/silver.png" width="16px"> '.n_f($cena_bibl, 1).' серебра').'</div>';
}
echo '</div>';
if(isset($_GET['torg']) and $clan['torg'] < $max_level){
	if($array['clan_stat_cena_type'][$clan['torg']] == 'gold'){
		if($clan['gold'] < $cena_torg){
			$_SESSION['warning'] = 'В казне клана не достатачно золота';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `torg` = ?, `gold` = ? WHERE `id` = ?", array($clan['torg']+1, $clan['gold']-$cena_torg, $clan['id']));
		header('Location: ?');
		exit();
	}else{
		if($clan['silver'] < $cena_torg){
			$_SESSION['warning'] = 'В казне клана не достатачно серебра';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `torg` = ?, `silver` = ? WHERE `id` = ?", array($clan['torg']+1, $clan['silver']-$cena_torg, $clan['id']));
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/clan/stat/3.png" width="50px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Торговая палата</span> ('.$clan['torg'].' из '.$max_level.') '.($clan['torg'] >= 1 ? '<font color="green">+'.$array['clan_stat_param'][$clan['torg']].'%</font>' : '').'';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Увеличивает получаемое серебро</span>';
echo '<div class="mt5"></div>';
echo '+2% к серебру за уровень';
echo '</td>';
echo '</table>';
if($user_clan['rang'] >= 5){
	echo '<div class="center"><a href="?torg" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['clan_stat_cena_type'][$clan['torg']] == 'gold' ? '<img src="/images/icon/gold.png" width="16px"> '.n_f($cena_torg, 1).' золота' : '<img src="/images/icon/silver.png" width="16px"> '.n_f($cena_torg, 1).' серебра').'</div>';
}
echo '</div>';
if(isset($_GET['trofeis']) and $clan['trofeis'] < $max_level){
	if($array['clan_stat_cena_type'][$clan['trofeis']] == 'gold'){
		if($clan['gold'] < $cena_trofeis){
			$_SESSION['warning'] = 'В казне клана не достатачно золота';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `trofeis` = ?, `gold` = ? WHERE `id` = ?", array($clan['trofeis']+1, $clan['gold']-$cena_trofeis, $clan['id']));
		header('Location: ?');
		exit();
	}else{
		if($clan['silver'] < $cena_trofeis){
			$_SESSION['warning'] = 'В казне клана не достатачно серебра';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `trofeis` = ?, `silver` = ? WHERE `id` = ?", array($clan['trofeis']+1, $clan['silver']-$cena_trofeis, $clan['id']));
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/clan/stat/4.png" width="50px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Зал славы</span> ('.$clan['trofeis'].' из '.$max_level.') '.($clan['trofeis'] >= 1 ? '<font color="green">+'.$array['clan_stat_param'][$clan['trofeis']].'%</font>' : '').'';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Увеличивает дополнительный бонус к параметрам от трофеев</span>';
echo '<div class="mt5"></div>';
echo '+2% к параметрам от трофеев за уровень';
echo '</td>';
echo '</table>';
if($user_clan['rang'] >= 5){
	echo '<div class="center"><a href="?trofeis" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['clan_stat_cena_type'][$clan['trofeis']] == 'gold' ? '<img src="/images/icon/gold.png" width="16px"> '.n_f($cena_trofeis, 1).' золота' : '<img src="/images/icon/silver.png" width="16px"> '.n_f($cena_trofeis, 1).' серебра').'</div>';
}
echo '</div>';
if(isset($_GET['smitchy']) and $clan['smitchy'] < $max_level){
	if($array['clan_stat_cena_type'][$clan['smitchy']] == 'gold'){
		if($clan['gold'] < $cena_smitchy){
			$_SESSION['warning'] = 'В казне клана не достатачно золота';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `smitchy` = ?, `gold` = ? WHERE `id` = ?", array($clan['smitchy']+1, $clan['gold']-$cena_smitchy, $clan['id']));
		header('Location: ?');
		exit();
	}else{
		if($clan['silver'] < $cena_smitchy){
			$_SESSION['warning'] = 'В казне клана не достатачно серебра';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `clans` SET `smitchy` = ?, `silver` = ? WHERE `id` = ?", array($clan['smitchy']+1, $clan['silver']-$cena_smitchy, $clan['id']));
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/clan/stat/5.png" width="50px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Кузница</span> ('.$clan['smitchy'].' из '.$max_level.') '.($clan['smitchy'] >= 1 ? '<font color="green">+'.$array['clan_stat_param'][$clan['smitchy']].'%</font>' : '').'';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Увеличивает прогресс при разборе вещей</span>';
echo '<div class="mt5"></div>';
echo '+2% к прогрессу от разбора вещей за уровень';
echo '</td>';
echo '</table>';
if($user_clan['rang'] >= 5){
	echo '<div class="center"><a href="?smitchy" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['clan_stat_cena_type'][$clan['smitchy']] == 'gold' ? '<img src="/images/icon/gold.png" width="16px"> '.n_f($cena_smitchy, 1).' золота' : '<img src="/images/icon/silver.png" width="16px"> '.n_f($cena_smitchy, 1).' серебра').'</div>';
}
echo '</div>';
require_once ('inc/footer.php');
?>