<?php
/* Системный файл для разнообразных массивов */
include_once 'database.php';

// Стоимость ресурсов
$array['gold_res'] = array('silver' => 100, 'rubin' => 6);

// качество вещи
$array['item_cach'] = array(1 => 'Обычный', 2 => 'Необычный', 3 => 'Редкий', 4 => 'Эпический', 5 => 'Легендарный', 6 => 'Мифический');
$array['item_cach_color'] = array(1 => '#ceb591', 2 => '#15de78', 3 => '#6090ff', 4 => '#da63ff', 5 => '#15e3ef', 6 => '#ea5d5c');

// месяцы
$array['month'] = array( 1 => 'Января' , 2 =>'Февраля' ,3 => 'Марта' , 4 =>'Апреля' , 5 =>'Мая' , 6 =>'Июня' , 7 =>'Июля' , 8 =>'Августа' , 9 =>'Сентября' , 10 =>'Октября' ,11 => 'Ноября' ,12 => 'Декабря' );
$array['english_month'] = array( 1 => 'January' , 2 =>'February' , 3 =>'March' , 4 =>'April' ,5 => 'May' , 6 =>'June' , 7 =>'July' , 8 =>'August' ,9 => 'September' ,10 => 'Octember' , 11 =>'November' , 12 =>'December' );

// смайлы
$array['smiles'] = array(
	'☺',
	'😂',
	'😎',
	'😞',
	'😕',
	'😉',
	'😏',
	'🤔',
	'😡',
	'😍',
	'😘',
	'😜',
	'🤗',
	'😐',
	'🤧',
	'🤕',
	'👍',
	'👎',
	'👊',
	'👌',
	'💪',
	'😴',
	'🤝',
	'🤓',
	'🤑',
	'🤔'
);
$array['smiles_zamena'] = array(
	'☺' => '1.png',
	'😂' => '2.png',
	'😎' => '3.png',
	'😞' => '4.png',
	'😕' => '5.png',
	'😉' => '7.png',
	'😏' => '8.png',
	'🤔' => '9.png',
	'😡' => '10.png',
	'😍' => '11.png',
	'😘' => '12.png',
	'😜' => '13.png',
	'🤗' => '14.png',
	'😐' => '15.png',
	'🤧' => '16.png',
	'🤕' => '17.png',
	'👍' => '18.png',
	'👎' => '19.png',
	'👊' => '20.png',
	'👌' => '21.png',
	'💪' => '22.png',
	'😴' => '23.png',
	'🤝' => '24.png',
	'🤓' => '25.png',
	'🤑' => '26.png',
	'🤔' => '27.png'
);


// руны
$array['rune_name'] = array(
1 => 'Обычная руна',
2 => 'Не обычная руна',
3 => 'Редкая руна',
4 => 'Эпическая руна',
5 => 'Легендарная руна',
6 => 'Мифическая руна'
);
$array['rune_param'] = array(
1 => 30,
2 => 80,
3 => 130,
4 => 190,
5 => 350,
6 => 700
);
$array['rune_cena'] = array(
1 => 100,
2 => 500,
3 => 1000,
4 => 2500,
5 => 5000,
6 => 10000
);






// артифакты
$array['art_stat_cena'] = array(
0 => 10,
1 => 30,
2 => 50,
3 => 80,
4 => 120,
5 => 190,
6 => 280,
7 => 420,
8 => 660,
9 => 790,
10 => 850,
11 => 1600,
12 => 3500,
13 => 6000,
14 => 8500,
15 => 10000
);
$array['art_stat_cena_type'] = array(
0 => 'rub',
1 => 'rub',
2 => 'rub',
3 => 'rub',
4 => 'rub',
5 => 'rub',
6 => 'rub',
7 => 'rub',
8 => 'rub',
9 => 'rub',
10 => 'rub',
11 => 'rub',
12 => 'rub',
13 => 'rub',
14 => 'rub'
);


$array['art_stat_param'] = array(
0 => 0,
1 => 15,
2 => 40,
3 => 75,
4 => 105,
5 => 200,
6 => 340,
7 => 410,
8 => 540,
9 => 650,
10 => 740,
11 => 820,
12 => 900,
13 => 1000,
14 => 1300,
15 => 1500
);







//Умения
$array['skill_stat_cena'] = array(
0 => 100,
1 => 3000,
2 => 5000,
3 => 8000,
4 => 300,
5 => 15000,
6 => 28000,
7 => 42000,
8 => 66000,
9 => 79000,
10 => 850,
11 => 110000,
12 => 150000,
13 => 230000,
14 => 1000,
15 => 340000,
16 => 500000,
17 => 730000,
18 => 800000,
19 => 950000,
20 => 1500
);
$array['skill_cena_type'] = array(
0 => 'gold',
1 => 'silver',
2 => 'silver',
3 => 'silver',
4 => 'gold',
5 => 'silver',
6 => 'silver',
7 => 'silver',
8 => 'silver',
9 => 'silver',
10 => 'gold',
11 => 'silver',
12 => 'silver',
13 => 'silver',
14 => 'gold',
15 => 'silver',
16 => 'silver',
17 => 'silver',
18 => 'silver',
19 => 'silver',
20 => 'gold'
);


$array['skill_stat_param'] = array(
0 => 0,
1 => 1,
2 => 3,
3 => 6,
4 => 8,
5 => 10,
6 => 12,
7 => 14,
8 => 16,
9 => 18,
10 => 20,
11 => 25,
12 => 30,
13 => 34,
14 => 37,
15 => 42,
16 => 48,
17 => 50,
18 => 55,
19 => 65,
20 => 70
);





// Клановые постройки
$array['clan_stat_cena'] = array(
0 => 1000,
1 => 250000,
2 => 500000,
3 => 1000000,
4 => 2000000,
5 => 2000,
6 => 4000000,
7 => 8000000,
8 => 16000000,
9 => 32000000,
10 => 5000,
11 => 64000000,
12 => 100000000,
13 => 150000000,
14 => 200000000,
15 => 10000,
16 => 250000000,
17 => 300000000,
18 => 400000000,
19 => 500000000,
20 => 20000
);
$array['clan_stat_cena_type'] = array(
0 => 'gold',
1 => 'silver',
2 => 'silver',
3 => 'silver',
4 => 'silver',
5 => 'gold',
6 => 'silver',
7 => 'silver',
8 => 'silver',
9 => 'silver',
10 => 'gold',
11 => 'silver',
12 => 'silver',
13 => 'silver',
14 => 'silver',
15 => 'gold',
16 => 'silver',
17 => 'silver',
18 => 'silver',
19 => 'silver',
20 => 'gold'
);


$array['clan_stat_param'] = array(
0 => 0,
1 => 2,
2 => 4,
3 => 6,
4 => 8,
5 => 10,
6 => 12,
7 => 14,
8 => 16,
9 => 18,
10 => 20,
11 => 22,
12 => 24,
13 => 26,
14 => 28,
15 => 30,
16 => 32,
17 => 34,
18 => 36,
19 => 38,
20 => 40
);

// кузница
$array['smitchy_param'] = array(
1 => 3,
2 => 6,
3 => 9,
4 => 12,
5 => 15,
6 => 18,
7 => 21,
8 => 24,
9 => 27,
10 => 30,
11 => 33,
12 => 36,
13 => 39,
14 => 42,
15 => 45,
16 => 48,
17 => 51,
18 => 54,
19 => 57,
20 => 60,
21 => 63,
22 => 66,
23 => 69,
24 => 72,
25 => 75
);
$array['smitchy_cena'] = array(
0 => 10,
1 => 100,
2 => 500,
3 => 1000,
4 => 1500,
5 => 50,
6 => 2500,
7 => 5000,
8 => 10000,
9 => 15000,
10 => 100,
11 => 30000,
12 => 35000,
13 => 40000,
14 => 45000,
15 => 200,
16 => 50000,
17 => 60000,
18 => 70000,
19 => 80000,
20 => 500,
21 => 90000,
22 => 100000,
23 => 110000,
24 => 120000,
25 => 1000
);
$array['smitchy_type'] = array(
0 => 'gold',
1 => 'silver',
2 => 'silver',
3 => 'silver',
4 => 'silver',
5 => 'gold',
6 => 'silver',
7 => 'silver',
8 => 'silver',
9 => 'silver',
10 => 'gold',
11 => 'silver',
12 => 'silver',
13 => 'silver',
14 => 'silver',
15 => 'gold',
16 => 'silver',
17 => 'silver',
18 => 'silver',
19 => 'silver',
20 => 'gold',
21 => 'silver', 
22 => 'silver', 
23 => 'silver', 
24 => 'silver', 
25 => 'gold'
);

// тренеровка
$array['train_cena'] = array(
0 => 100,
1 => 200,
2 => 300,
3 => 400,
4 => 500,
5 => 1,
6 => 1000,
7 => 1200,
8 => 1400,
9 => 1600,
10 => 10,
11 => 2000,
12 => 2200,
13 => 2400,
14 => 2600,
15 => 50,
16 => 3000,
17 => 3200,
18 => 3400,
19 => 3600,
20 => 100,
21 => 4000,
22 => 4200,
23 => 4400,
24 => 4600,
25 => 150,
26 => 5000,
27 => 5200,
28 => 5400,
29 => 5600,
30 => 200,
31 => 6000,
32 => 6200,
33 => 6400,
34 => 6600,
35 => 250,
36 => 7000,
37 => 7200,
38 => 7400,
39 => 7600,
40 => 300,
41 => 8000,
42 => 8200,
43 => 8400,
44 => 8600,
45 => 350,
46 => 9000,
47 => 9200,
48 => 9400,
49 => 9600,
50 => 400
);
$array['train_type'] = array(
0 => 'silver',
1 => 'silver',
2 => 'silver',
3 => 'silver',
4 => 'silver',
5 => 'gold',
6 => 'silver',
7 => 'silver',
8 => 'silver',
9 => 'silver',
10 => 'gold',
11 => 'silver',
12 => 'silver',
13 => 'silver',
14 => 'silver',
15 => 'gold',
16 => 'silver',
17 => 'silver',
18 => 'silver',
19 => 'silver',
20 => 'gold',
21 => 'silver',
22 => 'silver',
23 => 'silver',
24 => 'silver',
25 => 'gold',
26 => 'silver',
27 => 'silver',
28 => 'silver',
29 => 'silver',
30 => 'gold',
31 => 'silver',
32 => 'silver',
33 => 'silver',
34 => 'silver',
35 => 'gold',
36 => 'silver',
37 => 'silver',
38 => 'silver',
39 => 'silver',
40 => 'gold',
41 => 'silver',
42 => 'silver',
43 => 'silver',
44 => 'silver',
45 => 'gold',
46 => 'silver',
47 => 'silver',
48 => 'silver',
49 => 'silver',
50 => 'gold'
);

// квест
$array['kvest_name'] = array(
1 => 'Возвращение домой',
2 => 'Возвращение домой',
3 => 'Возвращение домой',
4 => 'Возвращение домой',
5 => 'Возвращение домой',
6 => 'Темнолесье',
7 => 'Темнолесье',
8 => 'Темнолесье',
9 => 'Темнолесье',
10 => 'Темнолесье',
11 => 'Проклятая земля',
12 => 'Проклятая земля',
13 => 'Проклятая земля',
14 => 'Проклятая земля',
15 => 'Проклятая земля',
16 => 'Разлом',
17 => 'Разлом',
18 => 'Разлом',
19 => 'Разлом',
20 => 'Разлом',
21 => 'Дыхание смерти',
22 => 'Дыхание смерти',
23 => 'Дыхание смерти',
24 => 'Дыхание смерти',
25 => 'Дыхание смерти'
);
$array['kvest_text'] = array(
1 => 'Чтобы вернуться домой, после мести за отца, вы шли долгие месяца, не встретив ни кого на своем пути, но после этого вы натыкаетесь на лагерь гоблинов, чтобы пройти дальше нужно расправится с ними!',
2 => 'Неугомонные гоблины все не успакоятся, на бой с вами выходит более сильный гоблин, вам стоит справится с ним и наче дальше вам не пройти!',
3 => 'Еще один гоблин нападает на вас, гоблины шкуродеры одни из самых сильных гоблинов, вам просто необходимо его одолеть!',
4 => 'Победив неугомонных гоблинов вы идете дальше, но перед вами встает самый большой из гоблинов, это их защитник троль - гоблин переросток!',
5 => 'Шаман этих гоблинов предлагает вам сдаться, иначе вы станете его ужином, вы же обнажив свой клинок идете в бой с с вихо!',
6 => 'Пройдя лагеря гоблинов вы входите в темнолесье, одно из самых страшных мест на всем свете, сразу же после того как вы вошли туда на вас нападает оборотень!',
7 => 'Чем дальше в темнолесье тем страшнее становится, только вы решили отдохнуть как на вас нападает, еще один оборотень вот только сильнее прежнего и умнее!',
8 => 'Страный запох почувствовали вы он шел из не большой пещеры, вы решаете обойти ее, но тутже из нее выбегает какая-то тварь и нападает на вас!',
9 => 'Вот уж это темнолесье не капли покоя, какие-то ауры засияли вокруг вас, это колдавство проклятого колдуна!',
10 => 'Вот уже конец темнолесья, попытавшись выйти вас обхватывают ветки деревьев, но с ними вы легко распровляетесь, прям из земли вылазиет монстр, сказав вам что еще ни кто ни прошел мимо него!',
11 => 'Победив врагов в темнолесьи, вы видите перед собой страшные руины, видимо тут обитают такиеже бездушные твари как и эти руины.',
12 => 'Проклятые пожиратели трупов все не успокоится, вам предстоит смертельный бой с этой тварью, не сдавайтесь!',
13 => 'Ночь наступила пока вы сражались, но не время дремлить, в этих мистах даже ночью нет покоя, беригитесь...',
14 => 'С рассветом после победы вы продолжили свой путь и наткнулись на монстра о котором вы уже слышали в дали от дома, говорят он питается страхом людей!',
15 => 'Ну вот уже конец этих земель, но не время расслабляться в каждом проклятом месте есть самый опасный противник...',
16 => 'Продолжая свой путь вы натыкались на многие опасности, но те опасности кажутся просто нечтожной шуткой по сравнению с тем что вас ждет дальше...'
);


// уровень клана
$array['clan_level'] = array(
	1 => 0,
	2 => 1000,
	3 => 3000,
	4 => 5000,
	5 => 10000,
	6 => 20000,
	7 => 30000,
	8 => 50000,
	9 => 70000,
	10 => 100000,
	11 => 120000,
	12 => 150000,
	13 => 200000,
	14 => 240000,
	15 => 300000,
	16 => 350000,
	17 => 410000,
	18 => 470000,
	19 => 550000,
	20 => 640000,
	21 => 720000,
	22 => 800000,
	23 => 900000,
	24 => 1000000,
	25 => 1200000,
    	26 => 1500000,
    	27 => 1800000,
    	28 => 2100000,
    	29 => 2500000,
    	30 => 3000000
); 


///уровни игрока
$array['level'] = array(
	1 => 0,
	2 => 29,
	3 => 35,
	4 => 50,
	5 => 100,
	6 => 200,
	7 => 300,
	8 => 500,
	9 => 700,
	10 => 1000,
	11 => 1200,
	12 => 1500,
	13 => 2000,
	14 => 2400,
	15 => 3000,
	16 => 3500,
	17 => 4100,
	18 => 4700,
	19 => 5500,
	20 => 6400,
	21 => 7200,
	22 => 8000,
	23 => 9000,
	24 => 10000,
	25 => 12000,
    	26 => 15000,
    	27 => 18000,
    	28 => 21000,
    	29 => 26000,
    	30 => 32000,
    	31 => 45000,
    	32 => 60000,
    	33 => 74000,
    	34 => 85000,
    	35 => 92000,
    	36 => 100000,
    	37 => 124000,
    	38 => 145000,
    	39 => 165000,
    	40 => 180000,
    	41 => 220000,
    	42 => 250000,
    	43 => 300000,
    	44 => 385000,
    	45 => 430000,
    	46 => 473000,
    	47 => 500000,
    	48 => 560000,
    	49 => 600000,
    	50 => 673000,
    	51 => 700000, 
    	52 => 760000, 
    	53 => 820000, 
    	54 => 870000, 
    	55 => 925000, 
    	56 => 984000, 
    	57 => 1050000, 
    	58 => 1200000, 
    	59 => 1450000, 
    	60 => 1500000,
    	61 => 1650000,
    	62 => 1800000,
    	63 => 1853000,
    	64 => 1900000,
    	65 => 2000000   	
);  


// Парамметры монстров в подземелье
$array['podzem_monster_stat'] = array(
	1 => 10,
	2 => 50,
	3 => 90,
	4 => 130,
	5 => 200,
	6 => 250,
	7 => 290,
	8 => 320,
	9 => 360,
	10 => 400,
	11 => 450,
	12 => 500,
	13 => 540,
	14 => 590,
	15 => 645,
	16 => 700,
	17 => 780,
	18 => 845,
	19 => 890,
	20 => 960,
	21 => 1040,
	22 => 1120,
	23 => 1200,
	24 => 1280,
	25 => 1370,
	26 => 1440,
	27 => 1560,
	28 => 1650,
	29 => 1770,
	30 => 1900,
	31 => 2050,
	32 => 2300,
	33 => 2470,
	34 => 2700,
	35 => 2950,
	36 => 3100,
	37 => 3300
);

// параметры вещи
$array_item_level = array(
    1 => 10,
    2 => 15,
    3 => 20,
    4 => 25,
    5 => 30,
    6 => 35,
    7 => 40,
    8 => 45,
    9 => 50,
    10 => 55,
    11 => 60,
    12 => 65,
    13 => 70,
    14 => 75,
    15 => 80,
    16 => 85,
    17 => 90,
    18 => 95,
    19 => 100,
    20 => 105,
    21 => 110,
    22 => 115,
    23 => 120,
    24 => 125,
    25 => 130,
    26 => 135,
    27 => 140,
    28 => 145,
    29 => 150,
    30 => 155,
    31 => 160,
    32 => 165,
    33 => 170,
    34 => 175,
    35 => 180,
    36 => 185,
    37 => 190,
    38 => 195,
    39 => 200,
    40 => 205,
    41 => 210,
    42 => 215,
    43 => 220,
    44 => 225,
    45 => 230,
    46 => 235,
    47 => 240,
    48 => 245,
    49 => 250,
    50 => 255,
    51 => 260,
    52 => 265,
    53 => 270,
    54 => 275,
    55 => 280,
    56 => 285,
    57 => 290,
    58 => 295,
    59 => 300,
    60 => 305,
    61 => 310,
    62 => 315,
    63 => 320,
    64 => 325,
    65 => 330,
    66 => 335,
    67 => 340,
    68 => 345,
    69 => 350,
    70 => 355,
    71 => 360,
    72 => 365,
    73 => 370,
    74 => 375,
    75 => 380,
    76 => 385,
    77 => 390,
    78 => 395,
    79 => 400,
    80 => 405,
    81 => 410,
    82 => 415,
    83 => 420,
    84 => 425,
    85 => 430,
    86 => 435,
    87 => 440,
    88 => 445,
    89 => 450,
    90 => 455,
    91 => 460,
    92 => 465,
    93 => 470,
    94 => 475,
    95 => 480,
    96 => 485,
    97 => 490,
    98 => 495,
    99 => 500,
    100 => 505
);

?>