<?php
require_once ('array.php');
$act = isset($_GET['act']) ? trim($_GET['act']) : ''; /* Фильтрация ACT в связке switch and case */
$time = time();
function getRealIP()
{

   if( $_SERVER['HTTP_X_FORWARDED_FOR'] != '' )
   {
      $client_ip =
         ( !empty($_SERVER['REMOTE_ADDR']) ) ?
            $_SERVER['REMOTE_ADDR']
            :
            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?
               $_ENV['REMOTE_ADDR']
               :
               "unknown" );
      $entries = split('[, ]', $_SERVER['HTTP_X_FORWARDED_FOR']);

      reset($entries);
      while (list(, $entry) = each($entries))
      {
         $entry = trim($entry);
         if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $entry, $ip_list) )
         {
            $private_ip = array(
                  '/^0\./',
                  '/^127\.0\.0\.1/',
                  '/^192\.168\..*/',
                  '/^172\.((1[6-9])|(2[0-9])|(3[0-1]))\..*/',
                  '/^10\..*/');

            $found_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);

            if ($client_ip != $found_ip)
            {
               $client_ip = $found_ip;
               break;
            }
         }
      }
   }
   else
   {
      $client_ip =
         ( !empty($_SERVER['REMOTE_ADDR']) ) ?
            $_SERVER['REMOTE_ADDR']
            :
            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?
               $_ENV['REMOTE_ADDR']
               :
               "unknown" );
   }

   return $client_ip;

}
function fl($m){ 
	if(!is_numeric($m)){
		$m = htmlspecialchars($m);
	} else {
		$m = intval($m);
		$m = abs($m);
	}
	return $m;
} /* FILTER */
/* Работаем с базой данных */
function qry($sql, $params = array()) {
	global $base;
	$stmt = $base -> prepare($sql);
	$stmt -> execute($params);
	return $stmt;  
} /* Для обычного запроса */
function cnt($sql, $params = array()) {
	global $base;
	$stmt = $base -> prepare($sql);
	$stmt -> execute($params);
	$stmt = $stmt->rowCount();
	return $stmt;
} /* Для вывода запроса с подсчетом */
function obj($sql, $params = array()) {
	global $base;
	$stmt = $base -> prepare($sql);
	$stmt -> execute($params);
	$stmt = $stmt->FetchAll(PDO::FETCH_OBJ);
	return $stmt;
} /* Для вывода объектного массива */
function acc($sql, $params = array()) {
	global $base;
	$stmt = $base -> prepare($sql);
	$stmt -> execute($params);
	$stmt = $stmt->FetchAll(PDO::FETCH_ASSOC);
	return $stmt;
} /* Для вывода ассоциотивного массива */
function fch($sql, $params = array()) {
	global $base;
	$stmt = $base -> prepare($sql);
	$stmt -> execute($params);
	$stmt = $stmt->fetch();
	return $stmt;
} /* Для вывода массива */
/* Проверка на авторизацию юзера */
if(isset($_COOKIE['login']) && isset($_COOKIE['password'])){
	$user = fch("SELECT * FROM `users` WHERE `login` = ? && `password` = ? LIMIT 1", array($_COOKIE['login'],$_COOKIE['password']));

	if(($user['login'] !== $_COOKIE['login']) or ($user['password'] !== $_COOKIE['password'])){
		setcookie("login", "", time() - 3600*24*30*12, "/");
		setcookie("password", "", time() - 3600*24*30*12, "/");
		header('Location: /');
	}
}
/* Просмотр только гостям */
function auth($method = yes){ /* YES - прошел авторизацию / NO - гость */
	global $user;
	if($method == 'yes' and isset($user)) header('Location: /'); /* Если только для гостей */
	if($method == 'no' and !isset($user)) header('Location: /'); /* Если только игрокам */
}

/*Доступ в админ панель*/
function sup() {
	global $user;
	if($user['admin'] < 1) header('Location: /error');
} /* LOCK PANEL SUPPORT */
function mod() {
	global $user;
	if($user['admin'] < 2) header('Location: /error');
} /* LOCK PANEL MODER */
function adm() {
	global $user;
	if($user['admin'] < 3) header('Location: /error');
} /* LOCK PANEL ADMIN */


function user_online($id) {
	$user = fch("SELECT * FROM `users` WHERE `id` = ?", array($id));
	if($user['time_last']+1600 > time()){
		return '<img src="/images/icon/online.png" width="5px">';
	}
}

function tm($time=NULL){ 
	if ($time == NULL)$time = time(); 
	$timep="".date("j M Y в H:i", $time)."";    
	$time_p[0]=date("j n Y", $time);  
	$time_p[1]=date("H:i", $time); 
	if ($time_p[0] == date("j n Y"))$timep = date("H:i:s", $time); 
	if ($time_p[0] == date("j n Y", time()-60*60*24))$timep = "вчера в $time_p[1]";    
	$timep=str_replace("Jan","января",$timep); 
	$timep=str_replace("Feb","февраля",$timep); 
	$timep=str_replace("Mar","марта",$timep); 
	$timep=str_replace("May","мая",$timep); 
	$timep=str_replace("Apr","апреля",$timep); 
	$timep=str_replace("Jun","июня",$timep); 
	$timep=str_replace("Jul","июля",$timep); 
	$timep=str_replace("Aug","августа",$timep); 
	$timep=str_replace("Sep","сентября",$timep); 
	$timep=str_replace("Oct","октября",$timep); 
	$timep=str_replace("Nov","ноября",$timep); 
	$timep=str_replace("Dec","декабря",$timep);
	return $timep; 
}
if(!function_exists('co')){
function co($fiera){
return preg_replace("#(n|r)*</body>#i", "<br><div style='font-size: xx-small;text-align:center;'><a target='_blank' style='font-size:xx-small;' title='LLC PlayRoom ИНН 7724455887, КПП 772401001, ОГРН 1187746843459'>© LLC PlayRoom</a></div></body>", $fiera);
}
ob_start ("co");
}


function page($k_page=1){ // Выдает текущую страницу
$page=1;
if (isset($_GET['page'])){
if ($_GET['page']=='end')$page=intval($k_page);elseif(is_numeric($_GET['page'])) $page=intval($_GET['page']);}
if ($page<1)$page=1;
if ($page>$k_page)$page=$k_page;
return $page;}

function k_page($k_post=0,$k_p_str=10){ // Высчитывает количество страниц
if ($k_post!=0){$v_pages=ceil($k_post/$k_p_str);return $v_pages;}
else return 1;}

function str($link='?',$k_page=1,$page=1){ // Вывод номеров страниц (только на первый взгляд кажется сложно ;))
if ($page<1)$page=1;
if ($page!=1)echo "<span class='pag tdn'><a href=\"".$link."page=1\"'><<</a></span> ";
if ($page!=1)echo "<span class='pag tdn'><a href=\"".$link."page=1\"'>1</a></span>";else echo "<span class='pags'>1</span>";
for ($ot=-2; $ot<=2; $ot++){
if ($page+$ot>1 && $page+$ot<$k_page){

if ($ot!=0)echo " <span class='pag'><a href=\"".$link."page=".($page+$ot)."\"'>".($page+$ot)."</a></span>";else echo " <span class='pags'> ".($page+$ot)."</span>";
if ($ot==3 && $page+$ot<$k_page-1)echo " ..";}}
if ($page!=$k_page)echo " <span class='pag tdn'><a href=\"".$link."page=end\"'>$k_page</a></span>";elseif ($k_page>1)echo " <span class='pags'>$k_page</span>";
if ($page!=$k_page)echo " <span class='pag tdn'><a href=\"".$link."page=end\"'> >></a></span>";

}

/* ВЫЗОВ ФУНКЦИИ ПРОВЕРКИ ПАРАМЕТРОВ ГЕРОЯ */
function tl($tl){
	$d=3600*24;
	$day=floor($tl/$d);
	$tl=$tl-($d*$day);

	$hour=floor($tl/3600);
	$tl=$tl-(3600*$hour);

	$minute=floor($tl/60);
	$tl=$tl-(60*$minute);

	$second=floor($tl);

	$dayt="".($day>0?"$day д. ":null)."";
	$hourt="".($hour>0?"$hour ч. ":null)."";
	$minutet="".($minute>0?"$minute м. ":null)."";
	$secondt="".($second>0?"$second с. ":null)."";
	
	if($day>0){
		$minutet=NULL;
		$secondt=NULL;
	}
	if($hour>0 && $day==0){
		$secondt=NULL;
		$dayt=NULL;
	}
	
	return "$dayt$hourt$minutet$secondt";
} /* Вывод оставшегося времени */

function n_f($i, $tip = 0) {
if($tip == 1){
$i = number_format($i, 0, '', '\'');
}else{

    if($i >= 10000 && $i < 999999) {
    
      $i = number_format($i, 0, '', '.');
    
      $i = round($i,1).'k';
    
    }
elseif($i >= 1000000 && $i < 999999999) {

      $i = number_format($i, 0, '', '.');
    
      $i = round($i,1).'m';

    }
elseif($i >= 1000000000) {

      $i = number_format($i, 0, '', '.');
    
      $i = round($i,1).'g';

    }
    else
    {
      
      $i = number_format($i, 0, '', '\'');
     
    }
    }
    return $i;
    
    }
    
    function sml($text){
    global $array;
	foreach($array['smiles'] as $sml){
        	$text = str_replace(''.$sml.'', '<img src="/images/smiles/'.$array['smiles_zamena'][$sml].'" width="16px">', $text);
	}
	return $text;
    }
        
        
function bb_code($message, $access = 0, $rang = 1)
{
	
        if($access >= 1 or $rang >= 4){
        // обработка регулярными выражениями bb кодов
        $message = htmlspecialchars($message);
        $message = preg_replace("#\[center\](.+)\[\/center\]#isU", '<center>\\1</center>', $message);
        $message = preg_replace("#\[b\](.+)\[\/b\]#isU", '<b>\\1</b>', $message);
        $message = preg_replace("#\[i\](.+)\[\/i\]#isU", '<i>\\1</i>', $message);
        $message = preg_replace("#\[u\](.+)\[\/u\]#isU", '<u>\\1</u>', $message);
        $message = preg_replace("#\[quote\](.+)\[\/quote\]#isU",'<div class="quoteHead">Цитата</div><div class="quoteContent">\\1</div>',$message);
        $message = preg_replace("#\[url[\s]*=[\s]*([\S]+)[\s]*\][\s]*([^\[]*)\[/url\]#isU",'<a href="\\1">\\2</a>',$message);
        $message = preg_replace("#\[img\][\s]*([\S]+)[\s]*\[\/img\]#isU",'<img src="\\1" style="max-width:100%" alt="" />',$message);
        $message = preg_replace("#\[color=(.+)\](.+)\[\/color\]#isU",'<font color="\\1">\\2</font>',$message);
        $message = preg_replace("#\[image=(.+)\](.+)\[\/image\]#isU","<img src='\\2' width='\\1' alt='' />",$message);
    	}
	if($access < 2){
		$message = str_replace('http://', '', $message);
		$message = str_replace('https://', '', $message);
	}
    // добавляем переносы строк
    $message = nl2br($message);

    // Возвращаем уже код с html вместо bb code
    return $message;
}
   
    
include_once 'stat.php';
?>