 <?php

// Задания главы 
if(isset($user)){
$start = fch("SELECT * FROM `starting` WHERE `id_user` = ?", array($user['id']));
if($start and $start['start'] < 3 and $_SERVER['PHP_SELF'] != '/starting.php'){
	header('location: /start/');
	exit();
}

    $glava_quest_q = acc("SELECT * FROM `quest_glava` WHERE `glava` = ? ORDER BY `id` ASC", array($user['glava']));
    foreach($glava_quest_q as $quest){
        $my_quest = fch("SELECT * FROM `quest_glava_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
        if(!$my_quest){
            qry("INSERT INTO `quest_glava_user` SET `id_quest` = ?, `id_user` = ?", array($quest['id'], $user['id']));
        }
        if($quest['type'] == 'item'){
            $count_item = cnt("SELECT * FROM `inv` WHERE `id_user` = ? AND `odeta` = ? AND `cachestvo` >= ?", array($user['id'], 'da', $quest['param_type']));
            qry("UPDATE `quest_glava_user` SET `kolls` = ? WHERE `id` = ?", array($count_item, $my_quest['id']));
        }
        if($quest['type'] == 'smitchy'){
            $count_item = cnt("SELECT * FROM `inv` WHERE `id_user` = ? AND `odeta` = ? AND `smitchy` >= ?", array($user['id'], 'da', $quest['param_type']));
            qry("UPDATE `quest_glava_user` SET `kolls` = ? WHERE `id` = ?", array($count_item, $my_quest['id']));
        }
        if($quest['type'] == 'runes'){
            $count_item = cnt("SELECT * FROM `inv` WHERE `id_user` = ? AND `odeta` = ? AND `rune` >= ?", array($user['id'], 'da', $quest['param_type']));
            qry("UPDATE `quest_glava_user` SET `kolls` = ? WHERE `id` = ?", array($count_item, $my_quest['id']));
        }
        if($quest['type'] == 'power'){            
            qry("UPDATE `quest_glava_user` SET `kolls` = ? WHERE `id` = ?", array(get_power($user['id']), $my_quest['id']));
        }
        if($quest['type'] == 'kvest'){            
            $quest_kvest = fch("SELECT * FROM `kvest` WHERE `id_user` = ?", array($user['id']));
            if($quest_kvest and $quest_kvest['id_monster'] > $quest['param_type']){
                qry("UPDATE `quest_glava_user` SET `kolls` = ? WHERE `id` = ?", array(1, $my_quest['id']));
            }
        }
        if($my_quest['ok'] < 1 and $my_quest['kolls'] >= $quest['kolls']){
            qry("UPDATE `quest_glava_user` SET `ok` = ? WHERE `id` = ?", array(1, $my_quest['id']));
            header('Location: ?');
            exit();
        }
    }
    $quest_q = acc("SELECT * FROM `quest` ORDER BY `id` ASC");
    foreach($quest_q as $quest){
        $my_quest = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
        if(!$my_quest){
            qry("INSERT INTO `quest_user` SET `id_quest` = ?, `id_user` = ?", array($quest['id'], $user['id']));
        }
        if($my_quest['ok'] < 1 and $my_quest['kolls'] >= $quest['kolls']){
            qry("UPDATE `quest_user` SET `ok` = ? WHERE `id` = ?", array(1, $my_quest['id']));
        }
    } 
    
    
    
    
    
    
    if($user['params'] < get_power($user['id'])+get_health($user['id'])+get_block($user['id'])){
    	qry("UPDATE `users` SET `params` = ? WHERE `id` = ?", array(get_power($user['id'])+get_health($user['id'])+get_block($user['id']), $user['id']));
    } 
   
    
    $ip = getRealIP();
    if($ip != $user['ip']){
    	qry("UPDATE `users` SET `ip` = ? WHERE `id` = ?", array($ip, $user['id']));
    } 
   } 
 
if(empty($header)) $header = 'Битва Престолов'; /* Заголовок страниц */
?>
<!DOCTYPE html>
<html><head>
	<meta http-equiv="content-type" content="application/xhtml; charset=utf-8"/>
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="shortcut icon" href="/favicon.ico"></link>
	<link rel="stylesheet" href="/template/bootstrap.min.css">
        <link rel="stylesheet" href="/template/default.css?ver=2.3">	
        <link rel="stylesheet" href="/template/diolog.css?ver=4.3">	
	<script type="text/javascript" src="/js/jquery.js"></script>
    	<title> <?=$header?> </title>
</head><body>
<script type="text/javascript" src="/js/diolog.js"></script>
<div class="line"></div>
<div class="title center">«<?=$header?>»</div>
<div class="line"></div>
<?
if(isset($user)){

    include_once 'array.php';
    $get_level = $user['level'] + 1;
    $get_exp = $user['exp'];
    $get_level_exp = $array['level'][$get_level];
    $progress = round($get_exp/$get_level_exp*100,1);
    if($progress > 100)$progress = 100;
    echo '<div class="block_lvl">';
    echo '<table width="100%"><tr>';
    echo '<td class="center" width="15%"><img src="/images/icon/level.png" width="16px"> '.$user['level'].'</td>';
    echo '<td width="70%"><div class="block_lvl2"><div class="proc_lvl" style="width: '.$progress.'%;"></div></div></td>';
    echo '<td class="center" width="15%">'.$progress.'%</td>';
    echo '</tr></table>';
    echo '</div>';
    echo '<div class="line"></div>';
}
$ban = fch("SELECT * FROM `ban` WHERE `id_user` = ? AND `set` = ? ORDER BY `id` DESC LIMIT 1", array($user['id'], 'block'));
if($ban and ($ban['last'] > time() or $ban['last'] == 0)){
	$ban_adm = fch("SELECT * FROM `users` WHERE `id` = ?", array($ban['id_adm']));
	echo '<div class="block">';
	echo 'Ваш персонаж заблокирован by <img src="/images/icon/'.$ban_adm['sex'].'.png" width="16px"> '.$ban_adm['login'].' '.tm($ban['time']).'<br>Причина: '.$ban['text'].'<br>';
	echo 'До окончания осталось: '.($ban['last'] == 0 ? 'Бессрочно' : tl($ban['last']-time())).'';
	echo '</div>';
	require_once ('footer.php');
	die();
}
$new_msg = cnt("SELECT * FROM `diologs` WHERE `id_out` = ? AND `online` = ?", array($user['id'], 1));
if($new_msg >= 1 AND $_SERVER['PHP_SELF'] != '/contacts.php'){
    echo '<a href="/contacts/" class="link center"><img src="/images/icon/mail.png" width="16px"> <font color="Goldenrod">Новая почта</font></a>';
}
if(isset($_SESSION['success'])){
    echo '<div class="success center">'.$_SESSION['success'].'</div>';
    unset($_SESSION['success']);
}
if(isset($_SESSION['warning'])){
    echo '<div class="warning center">'.$_SESSION['warning'].'</div>';
    unset($_SESSION['warning']);
}
if(isset($_SESSION['index'])){
    echo '<div class="block center">'.$_SESSION['index'].'</div>';
    unset($_SESSION['index']);
}

/* ПОВЫШАЕМ УРОВЕНЬ ИГРОКА */
if(isset($user)){
    qry("UPDATE `users` SET `time_last` = '".time()."' WHERE `id` = ? LIMIT 1", array($user['id']));
	if($get_exp >= $get_level_exp and $user['level'] < 60){
	$gold = $user['level']*7;
		qry("UPDATE `users` SET `level` = `level` + '1', `exp` = '0', `gold` = `gold` + '".$gold."' WHERE `id` = ?", array($user['id']));
		echo'
		<div class="case center">
			<img src="/images/new-level.png" class="img-responsive" alt="*" /><br/>
			Достигнут <b>новый уровень</b> персонажа!<br>
            Награда: <img src="/images/icon/gold.png" width="13px"> '.$gold.' золота
		</div>
		<div class="line"></div>
		';
		
		  /*награда за 15 уровень рефа*/
		  
if($user['level'] == 14){
    qry("UPDATE `users` SET `gold` = `gold` + '150' WHERE `id` = ?", array($user['ref_id']));
  $text = 'Ваш реферал [url=/user/'.$user['id'].']'.$user['login'].'[/url] достиг 15 уровня.
  Ваша награда 150 золота.';
  $contact_user = fch("SELECT * FROM `contacts` WHERE `id_in` = ? AND `id_out` = ?", array($user['ref_id'], 2));             
                qry("INSERT INTO `diologs` SET `id_in` = ?, `id_out` = ?, `date` = ?, `text` = ?", array(2, $user['ref_id'], time(), $text));
                if(!$contact_user){
                   qry("INSERT INTO `contacts` SET `id_in` = ?, `id_out` = ?, `time_down` = ?", array($user['ref_id'], 2, time()));
               }else{
                    qry("UPDATE `contacts` SET `time_down` = ? WHERE `id` = ?", array(time(), $contact_user['id']));
                }
   }
    /*конец*/
		
	}	
if($user and $user['cave'] == 1 and $user['email'] == null){
echo '<div class="block center">';
echo' Привяжите ваш аккаунт к <a href=/settings?act=email>E-mail</a> адресу';
echo'</div>';
}	

    $clan_prig = fch("SELECT * FROM `clan_user_prig` WHERE `id_user` = ?", array($user['id']));
    if($clan_prig){
        if(isset($_GET['delete'])){
            qry("DELETE FROM `clan_user_prig` WHERE `id` = ?", array($clan_prig['id']));
            header('Location: ?');
            exit();
        }
        if(isset($_GET['vstup'])){
            qry("INSERT INTO `clan_users` SET `id_user` = ?, `id_clan` = ?, `rang` = ?, `data_vstup` = ?", array($user['id'], $clan_prig['id_clan'], 1, time()));
            $text = '[url=/user/'.$user['id'].'/]'.$user['login'].'[/url] вступил(а) в клан';
            qry("INSERT INTO `clan_jurnal` SET `id_clan` = ?, `text` = ?, `data` = ?", array($clan_prig['id_clan'], $text, time()));
            qry("DELETE FROM `clan_user_prig` WHERE `id_user` = ?", array($user['id']));
            header('Location: /clan/');
            exit();
        }
        $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($clan_prig['id_clan']));
        echo '<div class="case center">';
        echo '<div class="r-middle"><font color="yellow">Вас приглашают в клан</font></div>';
        echo ''.$clan['name'].' <img src="/images/icon/level.png" width="13px"> '.$clan['level'].'<br>';
        echo '<a href="?vstup">Вступить в клан</a>';
        echo '<div class="mt5"></div>';
        echo '<a href="?delete">Скрыть</a>';
        echo '</div>';
        echo '<div class="line"></div>';
    }
    $user_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($user['id']));
    if($user_clan){
    $my_clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($user_clan['id_clan']));
    $clan_level = ($my_clan['level']+1);
    if($my_clan['exp'] >= $array['clan_level'][$clan_level] AND $my_clan['level'] < 30){
    	qry("UPDATE `clans` SET `level` = `level` + '1', `exp` = '0' WHERE `id` = ?", array($my_clan['id']));
    }
    	$clan_ob = fch("SELECT * FROM `clan_ob` WHERE `id_clan` = ? ORDER BY `id` DESC LIMIT 1", array($user_clan['id_clan']));
    	$clan_ob_us = fch("SELECT * FROM `users` WHERE `id` = ?", array($clan_ob['id_user']));
    	if($clan_ob and $user_clan['open_ob'] == 1){
    		if(isset($_GET['close_ob'])){
    			qry("UPDATE `clan_users` SET `open_ob` = ? WHERE `id` = ?", array(0, $user_clan['id']));
    			header('Location: ?');
    			exit();
    		}
    		echo '<div class="block center">';
    		echo '<span class="r-middle">Объявление клана</span>';
    		echo '<div class="mt5"></div>';
    		echo $clan_ob['text'];
    		echo '<div class="mt5"></div>';
    		echo 'Опубликовал(а): <img src="/images/icon/'.$clan_ob_us['sex'].'.png" width="16px"> <a href="/user/'.$clan_ob_us['id'].'/">'.$clan_ob_us['login'].'</a> - '.tm($clan_ob['data']).'';
    		echo '<div class="mt5"></div>';
    		echo '<a href="?close_ob">Скрыть объявление</a>';
    		echo '</div>';
    	}
    }
    
    // одеваем шмотку
if(isset($_GET['item_ok'])){
$id = fl($_GET['item_ok']);
$item = fch("SELECT * FROM `inv` WHERE `id` = ? LIMIT 1", array($id));
$my_item = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($user['id'], $item['type'], 'da'));
$luchshe = 0;
        if($my_item['level'] < $item['level']){
            $luchshe += ($array_item_level[$item['level']]-$array_item_level[$my_item['level']]);
        }
        if($luchshe <= 0) $error[] = 'Эта вещь хуже';
    if($item['id_user'] != $user['id']) $error[] = 'Вещь вам не принадлежит...';
    if($item['odeta'] == 'da') $error[] = 'Вещь уже надета...';
    if(!empty($error)){
        foreach($error as $err){
            echo '<div class="warning center">'.$err.'</div>';
        }
    }else{
    qry("UPDATE `inv` SET `odeta` = ? WHERE `id` = ?", array('da', $item['id']));
    if($my_item){
        qry("UPDATE `inv` SET `odeta` = ? WHERE `id` = ?", array('net', $my_item['id']));
        if($my_item['smitchy'] > $item['smitchy']){
            qry("UPDATE `inv` SET `smitchy` = ? WHERE `id` = ?", array($my_item['smitchy'], $item['id']));
            qry("UPDATE `inv` SET `smitchy` = ? WHERE `id` = ?", array(0, $my_item['id']));
        }
        if($my_item['rune'] > $item['rune']){
            qry("UPDATE `inv` SET `rune` = ? WHERE `id` = ?", array($my_item['rune'], $item['id']));
            qry("UPDATE `inv` SET `rune` = ? WHERE `id` = ?", array(0, $my_item['id']));
        }
    }
    
     
    $quest = fch("SELECT * FROM `quest` WHERE `type` = ?", array('param_up'));
    	$user_quest = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
    	if($user_quest['ok'] == 0){
    		qry("UPDATE `quest_user` SET `kolls` = `kolls` + '1' WHERE `id` = ?", array($user_quest['id']));
    	}
    header('Location: ?');
    exit();
}
}

require_once ('fun_header.php');
}
?>