<?php
/* Системный файл */
include_once 'database.php';
include_once 'array.php';

function get_silver($static){
    global $user;
    $user_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($user['id']));
    $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($user_clan['id_clan']));
    $vip = fch("SELECT * FROM `vip_user` WHERE `id_user` = ? and `last` > ?", array($user['id'],time()));
    $trofeis = acc("SELECT * FROM `trofeis_user` WHERE `id_user` = ?", array($user['id']));
    foreach($trofeis as $t){
        $trofei = fch("SELECT * FROM `trofeis` WHERE `id` = ?", array($t['id_trofei']));
        $static += ceil($static*$trofei['silver']*$array['art_stat_param'][$get['zub']]/100);
    }
    if($vip)$static += ceil($static*$array['clan_stat_param'][$clan['torg']]*$array['art_stat_param'][$get['zub']]*2/100);
    if($clan)$static += ceil($static*$array['clan_stat_param'][$clan['torg']]*$array['art_stat_param'][$get['zub']]/100);
    return $static;
}

function get_exp_clan($static){
    global $user;
    $user_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($user['id']));
    $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($user_clan['id_clan']));
    $clan_count = cnt("SELECT * FROM `clan_users` WHERE `id_clan` = ?", array($user_clan['id_clan']));
    $coren = sqrt($clan_count);
   
    
    
    if($user_clan['vernost'] >= 1){
    	$static = round(($static/$coren)*(($user_clan['vernost']/100)+1));
    	if($clan)$static += ceil($static*$array['clan_stat_param'][$clan['cit']]/100);
    }else{
    	$static = 0;
    }
    if($user_clan['data_vstup']+60*60*12 > time() and $user_clan['rang'] != 6){
    	$static = 0;
    }
    return $static;
}

function get_exp($static){
    global $user;
    $user_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($user['id']));
    $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($user_clan['id_clan']));
    $vip = fch("SELECT * FROM `vip_user` WHERE `id_user` = ? and `last` > ?", array($user['id'],time()));
    $trofeis = acc("SELECT * FROM `trofeis_user` WHERE `id_user` = ?", array($user['id']));
    foreach($trofeis as $t){
        $trofei = fch("SELECT * FROM `trofeis` WHERE `id` = ?", array($t['id_trofei']));
        $static += ceil($static*$trofei['exp']/100);
    }
    if($vip)$static += ceil($static*$array['clan_stat_param'][$clan['bibi']]*2*$pr/100);
    if($clan)$static += ceil($static*$array['clan_stat_param'][$clan['bibl']]*$pr/100);
   
   return $static;
}
/* СИЛА ГЕРОЯ */
function get_power($id){
    global $array_item_level;
    global $array;
    $get = fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($id)); // Выбираем пользователя
    $get_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($get['id']));
    $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($get_clan['id_clan']));
    $i1 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'head', 'da'));
    $i2 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'shoulders', 'da'));
    $i3 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'tors', 'da'));
    $i4 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'hand', 'da'));
    $i5 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'left', 'da'));
    $i6 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'right', 'da'));
    $i7 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'feet', 'da'));
    $i8 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'shoes', 'da'));
	$static = 0; // Начальное число
    
    if($i1) $static += $array_item_level[$i1[level]];
    if($i2) $static += $array_item_level[$i2[level]];
    if($i3) $static += $array_item_level[$i3[level]];
    if($i4) $static += $array_item_level[$i4[level]];
    if($i5) $static += $array_item_level[$i5[level]];
    if($i6) $static += $array_item_level[$i6[level]];
    if($i7) $static += $array_item_level[$i7[level]];
    if($i8) $static += $array_item_level[$i8[level]];
    
    if($i1) $static += $array[smitchy_param][$i1[smitchy]];
    if($i2) $static += $array[smitchy_param][$i2[smitchy]];
    if($i3) $static += $array[smitchy_param][$i3[smitchy]];
    if($i4) $static += $array[smitchy_param][$i4[smitchy]];
    if($i5) $static += $array[smitchy_param][$i5[smitchy]];
    if($i6) $static += $array[smitchy_param][$i6[smitchy]];
    if($i7) $static += $array[smitchy_param][$i7[smitchy]];
    if($i8) $static += $array[smitchy_param][$i8[smitchy]];
    
    if($i1) $static += $array[rune_param][$i1[rune]];
    if($i2) $static += $array[rune_param][$i2[rune]];
    if($i3) $static += $array[rune_param][$i3[rune]];
    if($i4) $static += $array[rune_param][$i4[rune]];
    if($i5) $static += $array[rune_param][$i5[rune]];
    if($i6) $static += $array[rune_param][$i6[rune]];
    if($i7) $static += $array[rune_param][$i7[rune]];
    if($i8) $static += $array[rune_param][$i8[rune]];
    
        
    $trofeis = acc("SELECT * FROM `trofeis_user` WHERE `id_user` = ?", array($get['id']));
    foreach($trofeis as $t){
        $trofei = fch("SELECT * FROM `trofeis` WHERE `id` = ?", array($t['id_trofei']));
        $static += $trofei['param'];
        if($clan)$static += ceil($trofei['param']*$array['clan_stat_param'][$clan['trofeis']]/100);
    }
    
    if($clan){
    	$static += $clan['level'];
    }
    
	$static = $static + $get['power'] + $array['art_stat_param'][$get['kolco']]; // Прибавляем значение поля к нач.числу
	return $static; // Окончательно число
}
/* ЗАЩИТА ГЕРОЯ */
function get_block($id){
    global $array_item_level;
    global $array;
	$get = fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($id)); // Выбираем пользователя
	$get_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($get['id']));
    $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($get_clan['id_clan']));
    $i1 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'head', 'da'));
    $i2 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'shoulders', 'da'));
    $i3 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'tors', 'da'));
    $i4 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'hand', 'da'));
    $i5 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'left', 'da'));
    $i6 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'right', 'da'));
    $i7 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'feet', 'da'));
    $i8 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'shoes', 'da'));
	$static = 0; // Начальное число
    
    if($i1) $static += $array_item_level[$i1[level]];
    if($i2) $static += $array_item_level[$i2[level]];
    if($i3) $static += $array_item_level[$i3[level]];
    if($i4) $static += $array_item_level[$i4[level]];
    if($i5) $static += $array_item_level[$i5[level]];
    if($i6) $static += $array_item_level[$i6[level]];
    if($i7) $static += $array_item_level[$i7[level]];
    if($i8) $static += $array_item_level[$i8[level]];
    
    if($i1) $static += $array[smitchy_param][$i1[smitchy]];
    if($i2) $static += $array[smitchy_param][$i2[smitchy]];
    if($i3) $static += $array[smitchy_param][$i3[smitchy]];
    if($i4) $static += $array[smitchy_param][$i4[smitchy]];
    if($i5) $static += $array[smitchy_param][$i5[smitchy]];
    if($i6) $static += $array[smitchy_param][$i6[smitchy]];
    if($i7) $static += $array[smitchy_param][$i7[smitchy]];
    if($i8) $static += $array[smitchy_param][$i8[smitchy]];
    
    if($i1) $static += $array[rune_param][$i1[rune]];
    if($i2) $static += $array[rune_param][$i2[rune]];
    if($i3) $static += $array[rune_param][$i3[rune]];
    if($i4) $static += $array[rune_param][$i4[rune]];
    if($i5) $static += $array[rune_param][$i5[rune]];
    if($i6) $static += $array[rune_param][$i6[rune]];
    if($i7) $static += $array[rune_param][$i7[rune]];
    if($i8) $static += $array[rune_param][$i8[rune]];
    
    $trofeis = acc("SELECT * FROM `trofeis_user` WHERE `id_user` = ?", array($get['id']));
    foreach($trofeis as $t){
        $trofei = fch("SELECT * FROM `trofeis` WHERE `id` = ?", array($t['id_trofei']));
        $static += $trofei['param'];
        if($clan)$static += ceil($trofei['param']*$array['clan_stat_param'][$clan['trofeis']]/100);
    }
    
    if($clan){
    	$static += $clan['level'];
    }
    
	$static = $static + $get['block'] + $array['art_stat_param'][$get['kolba']]; // Прибавляем значение поля к нач.числу
	return $static; // Окончательно число
}
/* ЗДОРОВЬЕ ГЕРОЯ */
function get_health($id){
    global $array_item_level;
    global $array;
	$get = fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($id)); // Выбираем пользователя
	$get_clan = fch("SELECT * FROM `clan_users` WHERE `id_user` = ?", array($get['id']));
    $clan = fch("SELECT * FROM `clans` WHERE `id` = ?", array($get_clan['id_clan']));
    $i1 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'head', 'da'));
    $i2 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'shoulders', 'da'));
    $i3 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'tors', 'da'));
    $i4 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'hand', 'da'));
    $i5 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'left', 'da'));
    $i6 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'right', 'da'));
    $i7 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'feet', 'da'));
    $i8 = fch("SELECT * FROM `inv` WHERE `id_user` = ? AND `type` = ? AND `odeta` = ?", array($get['id'], 'shoes', 'da'));
	$static = 0; // Начальное число
    
    if($i1) $static += $array_item_level[$i1[level]];
    if($i2) $static += $array_item_level[$i2[level]];
    if($i3) $static += $array_item_level[$i3[level]];
    if($i4) $static += $array_item_level[$i4[level]];
    if($i5) $static += $array_item_level[$i5[level]];
    if($i6) $static += $array_item_level[$i6[level]];
    if($i7) $static += $array_item_level[$i7[level]];
    if($i8) $static += $array_item_level[$i8[level]];
    
    if($i1) $static += $array[smitchy_param][$i1[smitchy]];
    if($i2) $static += $array[smitchy_param][$i2[smitchy]];
    if($i3) $static += $array[smitchy_param][$i3[smitchy]];
    if($i4) $static += $array[smitchy_param][$i4[smitchy]];
    if($i5) $static += $array[smitchy_param][$i5[smitchy]];
    if($i6) $static += $array[smitchy_param][$i6[smitchy]];
    if($i7) $static += $array[smitchy_param][$i7[smitchy]];
    if($i8) $static += $array[smitchy_param][$i8[smitchy]];
    
    if($i1) $static += $array[rune_param][$i1[rune]];
    if($i2) $static += $array[rune_param][$i2[rune]];
    if($i3) $static += $array[rune_param][$i3[rune]];
    if($i4) $static += $array[rune_param][$i4[rune]];
    if($i5) $static += $array[rune_param][$i5[rune]];
    if($i6) $static += $array[rune_param][$i6[rune]];
    if($i7) $static += $array[rune_param][$i7[rune]];
    if($i8) $static += $array[rune_param][$i8[rune]];
    
    $trofeis = acc("SELECT * FROM `trofeis_user` WHERE `id_user` = ?", array($get['id']));
    foreach($trofeis as $t){
        $trofei = fch("SELECT * FROM `trofeis` WHERE `id` = ?", array($t['id_trofei']));
        $static += $trofei['param'];
        if($clan)$static += ceil($trofei['param']*$array['clan_stat_param'][$clan['trofeis']]/100);
    }
    
    
    if($clan){
    	$static += $clan['level'];
    }
    
	$static = $static + $get['health'] + $array['art_stat_param'][$get['book']]; // Прибавляем значение поля к нач.числу
	return $static; // Окончательно число
}
/* ЭНЕРГИЯ ГЕРОЯ */
function get_krit($id){
	$get = fch("SELECT * FROM `users` WHERE `id` = ? LIMIT 1", array($id)); // Выбираем пользователя
	$static = 0; // Начальное число
    $trofeis = acc("SELECT * FROM `trofeis_user` WHERE `id_user` = ?", array($get['id']));
    foreach($trofeis as $t){
        $trofei = fch("SELECT * FROM `trofeis` WHERE `id` = ?", array($t['id_trofei']));
        $static += $trofei['krit'];
    }
	$static = $static + $get['krit']; // Прибавляем значение поля к нач.числу
	return $static; // Окончательно число
}
?>